## com.imcode.imcms.servlet.admin
Class EditLink

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              com.imcode.imcms.servlet.admin.EditLink

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

    public class EditLink

extends javax.servlet.http.HttpServlet

See Also:
  Serialized Form

Nested Class Summary
`static interface` `EditLink.Link`
`static class` `EditLink.Parameter`

Constructor Summary
`EditLink()`

Method Summary
`protected void` `doGet(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`static EditLink.Link` `getLink(javax.servlet.http.HttpServletRequest request)`
`static java.lang.String` `linkTo(javax.servlet.http.HttpServletRequest request, java.lang.String returnPath)`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EditLink

    public EditLink()

Method Detail

### doGet

    protected void doGet(javax.servlet.http.HttpServletRequest request,
                         javax.servlet.http.HttpServletResponse response)
                  throws javax.servlet.ServletException,
                         java.io.IOException

  Overrides:
    `doGet` in class `javax.servlet.http.HttpServlet`
  Throws:
    `javax.servlet.ServletException`
    `java.io.IOException`

### linkTo

    public static java.lang.String linkTo(javax.servlet.http.HttpServletRequest request,
                                          java.lang.String returnPath)

### getLink

    public static EditLink.Link getLink(javax.servlet.http.HttpServletRequest request)